| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReaderQos Class Reference

`#include <ReaderQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | ReaderQos ()
virtual FASTDDS_EXPORTED_API | ~ReaderQos ()
bool | operator== (const ReaderQos &b) const
FASTDDS_EXPORTED_API void | setQos (const ReaderQos &readerqos, bool first_time)
| Set Qos from another class.
FASTDDS_EXPORTED_API bool | checkQos () const
| Check if the Qos values are compatible between each other.
FASTDDS_EXPORTED_API bool | canQosBeUpdated (const ReaderQos &qos) const
| Check if the Qos can be update with the values provided.
void | clear ()

## Public Attributes

DurabilityQosPolicy | m_durability
| Durability Qos, implemented in the library.
DeadlineQosPolicy | m_deadline
| Deadline Qos, implemented in the library.
LatencyBudgetQosPolicy | m_latencyBudget
| Latency Budget Qos, NOT implemented in the library.
LivelinessQosPolicy | m_liveliness
| Liveliness Qos, implemented in the library.
ReliabilityQosPolicy | m_reliability
| ReliabilityQos, implemented in the library.
OwnershipQosPolicy | m_ownership
| Ownership Qos, implemented in the library.
DestinationOrderQosPolicy | m_destinationOrder
| Destinatio Order Qos, NOT implemented in the library.
UserDataQosPolicy | m_userData
| UserData Qos, NOT implemented in the library.
TimeBasedFilterQosPolicy | m_timeBasedFilter
| Time Based Filter Qos, NOT implemented in the library.
PresentationQosPolicy | m_presentation
| Presentation Qos, NOT implemented in the library.
PartitionQosPolicy | m_partition
| Partition Qos, implemented in the library.
TopicDataQosPolicy | m_topicData
| Topic Data Qos, NOT implemented in the library.
GroupDataQosPolicy | m_groupData
| GroupData Qos, NOT implemented in the library.
DurabilityServiceQosPolicy | m_durabilityService
| Durability Service Qos, NOT implemented in the library.
LifespanQosPolicy | m_lifespan
| Lifespan Qos, NOT implemented in the library.
DataRepresentationQosPolicy | representation
| Data Representation Qos, implemented in the library.
TypeConsistencyEnforcementQosPolicy | type_consistency
| Type consistency enforcement Qos, NOT implemented in the library.
DisablePositiveACKsQosPolicy | m_disablePositiveACKs
| Disable positive ACKs QoS.
DataSharingQosPolicy | data_sharing
| Information for data sharing compatibility check.

## Constructor & Destructor Documentation

## ◆ ReaderQos()

FASTDDS_EXPORTED_API ReaderQos | ( |  | ) |

inline

## ◆ ~ReaderQos()

virtual FASTDDS_EXPORTED_API ~ReaderQos | ( |  | ) |

inline virtual

## Member Function Documentation

## ◆ canQosBeUpdated()

FASTDDS_EXPORTED_API bool canQosBeUpdated | ( | const ReaderQos & | qos | ) | const

Check if the Qos can be update with the values provided.

This method DOES NOT update anything.

Parameters

  qos | Reference to the new qos.

Returns
  True if they can be updated.

Warning
  The use of this class and methods is discourgaed, consider using SubscriptionBuiltinTopicData instead.

## ◆ checkQos()

FASTDDS_EXPORTED_API bool checkQos | ( |  | ) | const

Check if the Qos values are compatible between each other.

Returns
  True if correct.

Warning
  The use of this class and methods is discourgaed, consider using SubscriptionBuiltinTopicData instead.

## ◆ clear()

void clear | ( |  | ) |

Warning
  The use of this class and methods is discourgaed, consider using SubscriptionBuiltinTopicData instead.

## ◆ operator==()

bool operator== | ( | const ReaderQos & | b | ) | const

inline

## ◆ setQos()

FASTDDS_EXPORTED_API void setQos | ( | const ReaderQos & | readerqos,
|  | bool | first_time )

Set Qos from another class.

Parameters

  readerqos | Reference from a ReaderQos object.
  first_time | Boolean indicating whether is the first time (If not some parameters cannot be set).

Warning
  The use of this class and methods is discourgaed, consider using SubscriptionBuiltinTopicData instead.

## Member Data Documentation

## ◆ data_sharing

DataSharingQosPolicy data_sharing

Information for data sharing compatibility check.

## ◆ m_deadline

DeadlineQosPolicy m_deadline

Deadline Qos, implemented in the library.

## ◆ m_destinationOrder

DestinationOrderQosPolicy m_destinationOrder

Destinatio Order Qos, NOT implemented in the library.

## ◆ m_disablePositiveACKs

DisablePositiveACKsQosPolicy m_disablePositiveACKs

Disable positive ACKs QoS.

## ◆ m_durability

DurabilityQosPolicy m_durability

Durability Qos, implemented in the library.

## ◆ m_durabilityService

DurabilityServiceQosPolicy m_durabilityService

Durability Service Qos, NOT implemented in the library.

## ◆ m_groupData

GroupDataQosPolicy m_groupData

GroupData Qos, NOT implemented in the library.

## ◆ m_latencyBudget

LatencyBudgetQosPolicy m_latencyBudget

Latency Budget Qos, NOT implemented in the library.

## ◆ m_lifespan

LifespanQosPolicy m_lifespan

Lifespan Qos, NOT implemented in the library.

## ◆ m_liveliness

LivelinessQosPolicy m_liveliness

Liveliness Qos, implemented in the library.

## ◆ m_ownership

OwnershipQosPolicy m_ownership

Ownership Qos, implemented in the library.

## ◆ m_partition

PartitionQosPolicy m_partition

Partition Qos, implemented in the library.

## ◆ m_presentation

PresentationQosPolicy m_presentation

Presentation Qos, NOT implemented in the library.

## ◆ m_reliability

ReliabilityQosPolicy m_reliability

ReliabilityQos, implemented in the library.

## ◆ m_timeBasedFilter

TimeBasedFilterQosPolicy m_timeBasedFilter

Time Based Filter Qos, NOT implemented in the library.

## ◆ m_topicData

TopicDataQosPolicy m_topicData

Topic Data Qos, NOT implemented in the library.

## ◆ m_userData

UserDataQosPolicy m_userData

UserData Qos, NOT implemented in the library.

## ◆ representation

DataRepresentationQosPolicy representation

Data Representation Qos, implemented in the library.

## ◆ type_consistency

TypeConsistencyEnforcementQosPolicy type_consistency

Type consistency enforcement Qos, NOT implemented in the library.

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/qos/ReaderQos.hpp